Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface Interface Reference

Interface for configuration suggestion collectors. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface:

## Public Member Functions
| addSuggestion (ConfigSuggestion $suggestion)
| Adds a config suggestion to the list. More...
| getSuggestions ()
| Returns all config suggestions. More...
| hasSuggestions ()

## Detailed Description

Interface for configuration suggestion collectors.

Definition at line 14 of file SuggestionCollectorInterface.php.

## Member Function Documentation

## ◆ addSuggestion()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface::addSuggestion | ( | ConfigSuggestion | $suggestion | ) |

Adds a config suggestion to the list.

Parameters

  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion | $suggestion |

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector.

## ◆ getSuggestions()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface::getSuggestions | ( |  | ) |

Returns all config suggestions.

Returns
  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion[]

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector.

## ◆ hasSuggestions()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface::hasSuggestions | ( |  | ) |

Returns
  bool

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector.

The documentation for this interface was generated from the following file:

- SuggestionCollectorInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.